package co.yixiang.yshop.module.shop.service.canvasdetail;

import co.yixiang.yshop.module.shop.controller.admin.canvas.vo.CanvasDetailReqVO;
import co.yixiang.yshop.module.shop.controller.admin.canvas.vo.CanvasJsonUpdateReqVO;
import co.yixiang.yshop.module.shop.controller.admin.canvasdetail.vo.CanvasDetailRespVO;
import co.yixiang.yshop.module.shop.controller.app.canvas.vo.CanvasEnableReqVO;
import co.yixiang.yshop.module.shop.dal.dataobject.canvasdetail.CanvasDetailDO;

import java.util.List;

/**
 * 画布明细 Service 接口
 *
 * @author moxiangrong
 */
public interface CanvasDetailService {

    List<CanvasDetailRespVO> getListByCanvasId(Long canvasId);

    CanvasDetailRespVO getCanvasDetail(CanvasDetailReqVO reqVO);

    void batchInsert(Long canvasId);

    void updateJson(CanvasJsonUpdateReqVO vo);

    void batchDelete(Long canvasId);

    CanvasDetailRespVO getCanvasJson(CanvasEnableReqVO reqVO);

}
